{ ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../desktop.nix
  ];

  nixpkgs.hostPlatform = "x86_64-linux";

  boot.loader = {
    systemd-boot.enable = true;
    efi.canTouchEfiVariables = true;
  };

  networking = {
    hostId = "8425e349";
    networkmanager.enable = true;
  };

  virtualisation.virtualbox.host.enable = true;
  users.extraGroups.vboxusers.members = [ "jordan" ];

  modules = {
    programs = {
      firefox.enable = true;
      graphics = {
        raster.enable = true;
        vector.enable = true;
      };
      libreoffice.enable = true;
      qbittorrent.enable = true;
      thunderbird.enable = true;
    };
    services = {
      borgmatic = {
        enable = true;
        directories = [
          "/home/jordan/Documents"
        ];
        repoPath = "ssh://uzu2y5b1@uzu2y5b1.repo.borgbase.com/./repo";
      };
    };
  };

  system.stateVersion = "22.11";
}
